﻿using DistributedGA.Core.Domain;

namespace DistributedGA.Core.Interface {

  public interface IMessageSender {

    void Init(PeerInfo source, int messageCacheCapacity);

    void SendData(PeerInfo destination, byte[][] data);

    void Dispose();
  }
}
